Skip to main content
Base URL: https://nums.advay.ca/
Only /hit requires authentication via X-Auth-Token (or ?token=). Read endpoints are public on the hosted instance and serverless deployments. When running the standalone server in ./cmd/server, setting a SECRET_TOKEN also protects read endpoints.

Increment (GET/POST /hit)

string
Counter id. Defaults to home.
string
required
Secret token for write access. Alternatively use ?token=.
string
Secret token (alternative to header).

Read (JSON) — GET /count

string
Counter id. Defaults to home.
string
Optional txt or text to return plain text instead of JSON.

Read (Text) — GET /count.txt

string
Counter id. Defaults to home.

Badge (SVG) — GET /badge

string
Counter id. Defaults to home.
string
Left-side text. Defaults to views.
string
Badge style: terminal or default classic.
string
Classic badge color (e.g., blue).
string
Terminal background (hex #rrggbb or allowed names).
string
Terminal label color (hex or allowed names).
string
Terminal value color (hex or allowed names).
string
Custom font family.

Badge (Shields endpoint) — GET /badge.json

string
required
Counter id.
string
Left-side text. Defaults to views.
string
Badge color (e.g., blue).
integer
default:"60"
Cache TTL in seconds (30–3600 enforced).